Get an external fiat account for an organization
curl --request GET \
--url https://api.privy.io/v1/organizations/{organization_id}/external_fiat_accounts/{account_id} \
--header 'Authorization: Basic <encoded-value>' \
--header 'privy-app-id: <privy-app-id>'HttpResponse<String> response = Unirest.get("https://api.privy.io/v1/organizations/{organization_id}/external_fiat_accounts/{account_id}")
.header("privy-app-id", "<privy-app-id>")
.header("Authorization", "Basic <encoded-value>")
.asString();const options = {
method: 'GET',
headers: {'privy-app-id': '<privy-app-id>', Authorization: 'Basic <encoded-value>'}
};
fetch('https://api.privy.io/v1/organizations/{organization_id}/external_fiat_accounts/{account_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.privy.io/v1/organizations/{organization_id}/external_fiat_accounts/{account_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"privy-app-id: <privy-app-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.privy.io/v1/organizations/{organization_id}/external_fiat_accounts/{account_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("privy-app-id", "<privy-app-id>")
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"external_fiat_account": {
"id": "<string>",
"provider": "bridge",
"environment": "sandbox",
"currency": "<string>",
"account_type": "<string>",
"account_owner_name": "<string>",
"created_at": "<string>",
"organization_id": "<string>",
"bank_name": "<string>",
"last_4": "<string>"
}
}For organizations
Get external fiat account
Returns a single external fiat account linked to an organization.
GET
/
v1
/
organizations
/
{organization_id}
/
external_fiat_accounts
/
{account_id}
Get an external fiat account for an organization
Authorizations
Basic Auth header with your app ID as the username and your app secret as the password.
Headers
ID of your Privy app.
Path Parameters
The ID of the organization.
The ID of the external fiat account.
Response
200 - application/json
The external fiat account.
Response containing a single organization external fiat account.
An external fiat account linked to an organization. The shape varies by provider.
Show child attributes
Show child attributes
Was this page helpful?

